function [ Labels,Scores ] = Predict_Boosting_SVMLIN(X,T,Alpha,Weak_Learners,option)
%This function shows the result of the boosting procedure for each value
%of X. if option = 'single', only the result after T rounds is shown. if
%option = 'full', then all results are shown for rounds 1..T.

Tmax = length(find(Alpha ~=0));
if(T <= Tmax)
    if(strcmp(option,'single'))
        Scores = zeros(size(X,1),1);
        for t= 1:T
            h_t = Predict_WeakLearner_SVMLIN(X,Weak_Learners{t});
            Scores = Scores + Alpha(t)*h_t;
        end
        Labels = sign(Scores);
    elseif(strcmp(option,'full'))
        Scores = zeros(size(X,1),T);
        %init
        h_1 = Predict_WeakLearner_SVMLIN(X,Weak_Learners{1});
        Scores(:,1) = Alpha(1)*h_1;
        %boosting rounds
        for t = 2:T
            h_t = Predict_WeakLearner_SVMLIN(X,Weak_Learners{t});
            Scores(:,t) = Scores(:,t-1) + Alpha(t)*h_t;
        end
        Labels = sign(Scores);
    end
else
    if(strcmp(option,'single'))
        Scores = zeros(size(X,1),1);
        for t = 1:Tmax
            h_t = Predict_WeakLearner_SVMLIN(X,Weak_Learners{t});
            Scores = Scores + Alpha(t)*h_t;
        end
    elseif(strcmp(option,'full'))
        Scores = zeros(size(X,1),T);
        %init
        h_1 = Predict_WeakLearner_SVMLIN(X,Weak_Learners{1});
        Scores(:,1) = Alpha(1)*h_1;
        %boosting rounds
        for t = 2:Tmax
            h_t = Predict_WeakLearner_SVMLIN(X,Weak_Learners{t});
            Scores(:,t) = Scores(:,t-1) + Alpha(t)*h_t;
        end
        Scores(:,Tmax+1:end) = repmat(Scores(:,Tmax),1,T-Tmax);
        Labels = sign(Scores);    
    end
end

