function h = Predict_WeakLearner_SVMLIN(X,model)

%this function returns h(X) (the result of applying the weak SVMLIN-learner to X)

%Input
    % X: (arbitrary) data for which to obtain weak learner predictions
    % model: model containing the following (cell array)
    %       model{1}: the svm model
    %       model{2}: the LR_weights
    
%Output
    %h: (weak learner) confidence rated predictions in [-1,1]

[~,~,scores] = predict(ones(size(X,1),1),X,model{1},'-q');
probabilities = glmval(model{2},scores,'logit');
h = 2*probabilities-1;
end