function model = Train_WeakLearner_SVMLIN(X,Y,D,C)
%Train SVMLIN model under current distribution D

%Input
    %X,Y: training data 
    %D: weights given to X,Y by boosting process
    %C: Regularization parmater of SVM_LIN (actual C will be adjusted)
%Output
    %model: model containing the following (cell array)
    %       model{1}: the svm model
    %       model{2}: the LR_weights

model = cell(2,1);
%obtain SVM-model
C_train = C/mean(D);
train_opt = ['-s 0 -t 0 -q -c ',num2str(C_train)];
model{1} = svmtrain(D,Y,X,train_opt);    

%fit LR-model 
Y(Y == -1) = 0;
[~,~,scores] = svmpredict(ones(size(X,1),1),X,model{1},'-q');
opt = 'binomial';
[~,weights] = evalc('glmfit(scores,Y,opt)'); 
model{2} = weights;
end