function [AUC,Lift] = Performances_Basic(Y_test,scores,P)
%PERFORMANCES this function obtains AUC and lift (at percentages P)

%Input
    %Y_test: true test set labels
    %scores: predicted scores on test set
    %P: vector of percentages on lift-curve

[~,~,~,AUC] = perfcurve(double(Y_test),scores,1);
Lift = zeros(length(P),1);
for P_ind = 1:length(P)
    Lift(P_ind) = liftAtP(P(P_ind));
end
    function lift = liftAtP(p)
    [~,sorted_ind] = sort(scores,'descend');
    topN = floor(size(Y_test,1) * (p/100));%nr of instances that are targeted (ie considered as positive)
    topN_labels = Y_test(sorted_ind(1:topN));
    topN_numberpos = length(find(topN_labels == 1));%nr of instances that are positive in targeted set

    lift_num = topN_numberpos/length(find(Y_test == 1));%fraction of all positives that is contained in targeted set
    lift_den = p/100;%fraction of all positives that a random model would target

    lift = lift_num/lift_den;
    end
end